PaidGoods
API referenceCurrencies

Currencies the store sells in, rounding and rate status

GET
/v1/stores/{storeId}/settings/currencies

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/settings/currencies"
{  "storeCurrency": "string",  "enabled": true,  "currencies": [    "string"  ],  "roundingEnabled": true,  "rounding": {    "property1": "whole",    "property2": "whole"  },  "sellable": [    "string"  ],  "rates": {    "date": "string",    "fetchedAt": "string",    "stale": true,    "perStoreUnit": {      "property1": "string",      "property2": "string"    }  },  "examples": {    "property1": {      "storeMinor": -9007199254740991,      "convertedMinor": -9007199254740991,      "x99Minor": -9007199254740991,      "wholeMinor": -9007199254740991    },    "property2": {      "storeMinor": -9007199254740991,      "convertedMinor": -9007199254740991,      "x99Minor": -9007199254740991,      "wholeMinor": -9007199254740991    }  }}